# Removes Openshift samples (default imageStreams, templates etc.)
# since they're not usable in webeos user projects (regular users can only create
# webeos sites via webeossitemgmt-operator)
# ref: https://docs.okd.io/latest/openshift_images/configuring-samples-operator.html
apiVersion: samples.operator.openshift.io/v1
kind: Config
metadata:
  name: cluster
  annotations:
    # this cluster resource must not and cannot be removed by argocd
    argocd.argoproj.io/sync-options: Prune=false
spec:
  architectures:
  - x86_64
  managementState: Removed